<?php
// ----------------------------------------------------------------------
// Copyright (c) 2002-2006 Shawn McKenzie
// http://spidean.mckenzies.net
// ----------------------------------------------------------------------
// LICENSE
//
// This software is the copyrighted material of Shawn McKenzie. AutoTheme is
// licensed for use on (1) web site installation only. See the license.txt for your
// specific license.
// 
// YOU AGREE NOT TO COPY OR DISTRIBUTE THIS SOFTWARE OR CHANGE THE SOURCE CODE
// WITHOUT PRIOR WRITTEN PERMISSION. PLEASE SEND ANY QUESTIONS OR COMMENTS TO
// AUTOTHEME@MCKENZIES.NET.
// 
// SHAWN MCKENZIE, TAKES NO RESPONSIBILITY FOR ANY DAMAGE THAT THIS SOFTWARE MIGHT
// CAUSE.
//
// Additional licensing information is available from autotheme@mckenzies.net.
// 
// If you disagree with any of these terms, you are not authorized to use this
// software. If you do agree with these terms, please enjoy.
// ----------------------------------------------------------------------

function atPlatformHeader($xhtml)
{
	return false;
}

function atPlatformAPIInit()
{
    return array();
}

function atPlatformThemeInit()
{
    return array();
}

function atGetPlatformVersion()
{
	return;
}

function atGetHomeMod()
{
    $modname = "index";
    
	return $modname;
}

function atIsHomePage()
{
    if (eregi("index.php", $_SERVER['PHP_SELF']) && (empty($_GET) || isset($_GET['theme']))) {
        return true;
    }
    else {
        return false;
    }
}

function atIsAdminUser()
{
    return false;
}

function atIsLoggedIn()
{
    return;
}

function atGetUserName()
{
	return;
}

function atGetModType()
{
    return;
}

function atGetModStyle()
{
    return;
}

function atGetModName()
{
	$parts = explode("/", $_SERVER['PHP_SELF']);
	$file = array_pop($parts);
	$modname = str_replace(".php", "", $file);
	
	if ($modname == "admin") {
		$modname = "AutoTheme";
	}
	if ($modname == "index" && isset($_GET['page'])) {
	    $modname = $_GET['page'];
	}
	return $modname;
}

function atGetLang()
{
    return _SITE_LANG;
}

function atModList($dir="modules")
{
    $modlist = array(
        "*HomePage",
    );
    
    $dir = "./";
    
	if ($handle = @opendir($dir)) {
        while (false !== ($file = @readdir($handle))) {
            if (eregi(".php", $file) && $file != "index.php") {
                $parts = explode(".", $file);
                $modlist[] = $parts[0];
            }
        }
        closedir($handle);
    }
    natcasesort;($modlist);
    
    return $modlist;
}

function atGetBlocks()
{
	$blocks = atBlockList();
	$blocks = array_flip($blocks);

	return $blocks;
}

function atBlockList()
{
	$dir = "blocks/";
	
	if ($handle = @opendir($dir)) {
        while (false !== ($file = @readdir($handle))) {
            if (eregi(".php", $file)) {
                $parts = explode(".", $file);
                $blocklist[] = $parts[0];
            }
        }
        closedir($handle);
    }
    natcasesort($blocklist);
    
    return $blocklist;
}

function atThemeList($dir="themes")
{
    $dir = "themes";
    
	if ($handle = @opendir($dir)) {
        while (false !== ($subdir = @readdir($handle))) {
            if (@is_dir("$dir/$subdir") &&
                $subdir !== '.' &&
                $subdir !== '..' &&
                @file_exists("$dir/$subdir/theme.cfg"))
            {
                $themelist[] = $subdir;
            }
        }
        closedir($handle);
    }
    natcasesort($themelist);
    
    return $themelist;
}

function atBlockLoad($location="", $title="")
{
	$runningconfig = atGetRunningConfig();
	$blocklist = $runningconfig['blocklist'];

    if ($location) {
    	foreach ($blocklist as $name => $block) {
    		if ($block['position'] == $location && $block['active'] == 1) {
    			atRunningSetVar("block", $block);
    			require("blocks/$name.php");
    			atThemeBlock($block);
    		}
    	}    			
    }
    elseif ($title) {
    	if ($blocklist[$title]['active'] == 1) {
    		atRunningSetVar("block", $block);
    		atThemeBlock($block);
    	}
    }
}

function atThemeSet($theme, $user=0)
{	
	return;
}

?>
