<?php
// ----------------------------------------------------------------------
// Copyright (c) 2002-2006 Shawn McKenzie
// http://spidean.mckenzies.net
// ----------------------------------------------------------------------
// LICENSE
//
// This software is the copyrighted material of Shawn McKenzie. AutoTheme is
// licensed for use on (1) web site installation only. See the license.txt for your
// specific license.
// 
// YOU AGREE NOT TO COPY OR DISTRIBUTE THIS SOFTWARE OR CHANGE THE SOURCE CODE
// WITHOUT PRIOR WRITTEN PERMISSION. PLEASE SEND ANY QUESTIONS OR COMMENTS TO
// AUTOTHEME@MCKENZIES.NET.
// 
// SHAWN MCKENZIE, TAKES NO RESPONSIBILITY FOR ANY DAMAGE THAT THIS SOFTWARE MIGHT
// CAUSE.
//
// Additional licensing information is available from autotheme@mckenzies.net.
// 
// If you disagree with any of these terms, you are not authorized to use this
// software. If you do agree with these terms, please enjoy.
// ----------------------------------------------------------------------

function atPlatformAdminInit()
{
	return array();	
}

function atAdminHeader($title="")
{
	//include("header.php");
	
    $adminlinks = "".AT_ADMINPAGE."?module=AutoTheme";
    atAdminOpenTable();
    atAdminOpenTable();
    echo "<div align=\"center\">"
    ."<a href =\"index.php\">"._AT_ADMINMENU."</a>"
    ."</div><br />\n"
    ."<div align=\"center\">"
    ."[ <a href =\"$adminlinks&op=main\">"._AT_ATADMIN."</a> ]"
    ."<div align=\"center\">\n"
    ."</div><br />\n"
    ."[ <a href=\"$adminlinks&op=athemes\">"._AT_AUTOTHEMES."</a> | "
    ."<a href=\"$adminlinks&op=cmdedit\">"._AT_COMMANDS."</a> |"
    ."<a href=\"$adminlinks&op=extras\">"._AT_EXTRAS."</a> ]"
    ."</div>\n";
    atAdminCloseTable();
    if ($title) {
        echo "<br />";
    }
    echo "<div align=\"center\"><b>$title</b></div>\n"
    ."<br />\n";
}

function atAdminFooter()
{
    $adminlinks = "".AT_ADMINPAGE."?module=AutoTheme";
    atAdminCloseTable();
    echo "<br />";
    atAdminOpenTable();
    echo "<div align=\"center\">\n"
    ."AutoTheme 1.77<br />\n"
    ."Copyright (c) 2002-2006 Shawn McKenzie<br />\n"
    ."<a target=\"_blank\" href=\"http://spidean.mckenzies.net\">http://spidean.mckenzies.net</a>\n"
    ."</div>\n";
    atAdminCloseTable();
	
	//include("footer.php");
}

function at_preview_url($module, $modops, $theme)
{
	switch ($module) {
		case "":
	    case "*HomePage":
		$module = "index";
		break;		
	}	
	$prevpage = "$module.php?theme=$theme";
	
	if ($modops != "default") {
		$prevpage .= "&$modops";
	}
	return "[ <a href=\"$prevpage\" target=\"_AT_blank\">"._AT_PREVIEW."</a> | \n";
}	

?>
